package model

// WorkProgress 工单进度数据模型
type WorkProgress struct {
	Model
	UID    uint64 `gorm:"column:uid;type:int;default:0;comment:用户uuid" json:"-"`
	WorkID uint64 `gorm:"column:work_id;type:int(11);default:0;comment:工单ID" json:"-"`
	Remark string `gorm:"column:remark;type:varchar(255);default:null;comment:备注信息" json:"remark"`
	ModelDeleted
	ModelAt
}

func (m *WorkProgress) TableName() string {
	return "work_progress"
}

func NewWorkProgress() *WorkProgress {
	return &WorkProgress{}
}
